package com.zhdx.modules.cmp.annaction;

package ..deTemp.1744310297098;

import com.js.hx.enums.FunctionType;
import com.js.hx.enums.MethodType;
import com.js.hx.enums.OriginalType;
import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({ElementType.PARAMETER, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface BpmStopRunAnna {
  String title() default "";
  
  MethodType methodType() default MethodType.OTHER;
  
  FunctionType funType() default FunctionType.OTHER;
  
  OriginalType original() default OriginalType.CTC;
  
  boolean inDecode() default true;
  
  boolean outEncode() default true;
}
